Skip to content
中文

POST /v2/videos/generations

Method: POSTEndpoint: /v2/videos/generations

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

Request Parameters

Header Parameters

text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
prompt
string
Required
model
string
Required
grok-video-3
ratio
enum<string>
Optional
Enum Values:
2:3
3:2
1:1
resolution
enum<string>
Optional
Enum Values:
720P
1080P
duration
enum<integer>
Optional
Enum Values:
5
10
15
images
array
[string]
  // provider-specific example normalized for English documentation
Optional
Example
{
"prompt"
:
"dance"
,
"model"
:
"grok-video-3"
}

Example Request

Shell

bash
curl --location --request POST '/v2/videos/generations' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "prompt": "dance",
    "model": "grok-video-3"
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
task_id
string
Required

Example

json
{
    "task_id": "grok:fa59842d-0252-455d-93ee-8f4b72bec9b1"
}